<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('service_users', function (Blueprint $table) {
            $table->string('work_user_id')->nullable()->after('bind_qrcode')->comment("企业微信用户id");
            $table->string('bind_work_qrcode')->nullable()->after('bind_qrcode')->comment("绑定企业微信二维码");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('service_users', function (Blueprint $table) {
            $table->dropColumn(['work_user_id', 'bind_work_qrcode']);
        });
    }
};
